/**
 * Feedier plugin Saving process
 */
jQuery(document).ready( function () {

    /*
     * Form saving
     */
    jQuery(document).on('submit', '#feedier-admin-form', function (e) {
        e.preventDefault();

        // We inject some extra fields required for the security
        jQuery(this).append('<input type="hidden" name="action" value="store_admin_data" />');
        jQuery(this).append('<input type="hidden" name="security" value="'+ feedier_exchanger._nonce +'" />');

        // We make our call
        jQuery.ajax({
            url: feedier_exchanger.ajax_url,
            type: 'post',
            data: jQuery(this).serialize(),
            success: function (response) {
                alert(response);
            }
        });

    });


    /*
     * Addable rules
     */
    var counter = 0;

    var addRow = function (widget) {
        var newRow = jQuery("<tr>");
        var cols = '';

        var forms = '<select name="feedier_widgets['+ counter +'][form_id]">';
        jQuery('[data-type="forms"]').each(function (id, item) {
            var $item = jQuery(item);
            var savedId = $item.data('id');
            var selected = (widget.form_id === savedId) ? 'selected' : '';

            forms += '<option value="'+ savedId +'" '+ selected +'>'+ $item.data('name') +'</option>';
        });
        forms += '</select>';

        var pages = '<select name="feedier_widgets['+ counter +'][page_id]">';
        jQuery('[data-type="pages"]').each(function (id, item) {
            var $item = jQuery(item);
            var savedId = 'page-' + $item.data('id');
            var selected = (widget.page_id === savedId) ? 'selected' : '';

            pages += '<option value="'+ savedId +'" '+ selected +'>'+ $item.data('name') +'</option>';
        });
        pages += '<option disabled>-------</option>';
        jQuery('[data-type="categories"]').each(function (id, item) {
            var $item = jQuery(item);
            var savedId = 'category-' + $item.data('id');
            var selected = (widget.page_id === savedId) ? 'selected' : '';

            pages += '<option value="'+ savedId +'" '+ selected +'>'+ $item.data('name') +'</option>';
        });
        pages += '</select>';

        var rules = '<select name="feedier_widgets['+ counter +'][rule_id]">';
        jQuery('[data-type="rules"]').each(function (id, item) {
            var $item = jQuery(item);
            var savedId = $item.data('id');
            var selected = (widget.rule_id === savedId) ? 'selected' : '';

            rules += '<option value="'+ savedId +'" '+ selected +'>'+ $item.data('name') +'</option>';
        });
        rules += '</select>';

        cols += '<td>'+ forms +'</td>';
        cols += '<td>'+ pages +'</td>';
        cols += '<td>'+ rules +'</td>';
        cols += '<td><input type="text" name="feedier_widgets['+ counter +'][delay]"/></td>';
        cols += '<td><button class="button-secondary"><span class="dashicons dashicons-trash"></span></button></td>';

        newRow.append(cols);

        jQuery("table#addable").append(newRow);

        counter++;
    };

    var widgets = jQuery('[data-widgets]').data('widgets');
    widgets = (widgets && widgets.length > 0) ? widgets : [];

    jQuery.each(widgets, function (i, widget) {
        addRow(widget);
    });

    jQuery("#add-row").on('click', addRow);

    jQuery("table#addable").on('click', '.button-secondary', function () {
        jQuery(this).closest('tr').remove();
        counter -= 1;
    });

} );