<?php
/**
 * Plugin Name:       Feedier: Go beyond feedback
 * Description:       Get real-time feedback on specific pages and content at different key moments of your user journeys. Use the Feedier plugin to display beautiful and interactive feedback widgets.
 * Version:           1.3.3
 * Author:            Feedier team
 * Author URI:        https://feedier.com
 * Text Domain:       feedier
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * GitHub Plugin URI: https://github.com/2Fwebd/feedier-wordpress
 */

/*
 * Plugin constants
 */
if(!defined('FEEDIER_PLUGIN_VERSION'))
	define('FEEDIER_PLUGIN_VERSION', '1.3.3');
if(!defined('FEEDIER_URL'))
	define('FEEDIER_URL', plugin_dir_url( __FILE__ ));
if(!defined('FEEDIER_PATH'))
	define('FEEDIER_PATH', plugin_dir_path( __FILE__ ));
if(!defined('FEEDIER_ENDPOINT'))
	define('FEEDIER_ENDPOINT', 'feedier.com');
if(!defined('FEEDIER_PROTOCOL'))
	define('FEEDIER_PROTOCOL', 'https');

require_once FEEDIER_PATH . 'Feedier/Main.php';
require_once FEEDIER_PATH . 'Feedier/Libraries/WP_List_Table.php';
require_once FEEDIER_PATH . 'Feedier/Admin/WidgetDesign.php';
require_once FEEDIER_PATH . 'Feedier/Admin/WidgetRules.php';
require_once FEEDIER_PATH . 'Feedier/Admin/Settings.php';
require_once FEEDIER_PATH . 'Feedier/Admin/WooCommerce.php';
require_once FEEDIER_PATH . 'Feedier/Admin/Feedbacks.php';
require_once FEEDIER_PATH . 'Feedier/Admin.php';
require_once FEEDIER_PATH . 'Feedier/Engager.php';
require_once FEEDIER_PATH . 'Feedier/Widget.php';
require_once FEEDIER_PATH . 'Feedier/WooCommerce.php';

/*
 * Main class
 */
new \Feedier\Admin();
new \Feedier\Engager();
new \Feedier\Widget();
new \Feedier\WooCommerce();


